FoxData Open API
My License
My License
  1. 1. Basic Application Services
  • I. Quick Start
    • 1. API Overview
    • 2. Quick Start
    • 3. Authorization
    • 4. Request & Response
    • 5. Rate Limiting
  • II. List of Interfaces
    • 1. Basic Application Services
      • 1001-App Info
        POST
      • 1002-App Extension Info
        POST
      • 1003-Developer App
        POST
      • 1004-App Rank History
        POST
      • 1005-Recommend Record
        POST
      • 1006-App Rating Comment
        POST
      • 1007-App Versions
        POST
      • 1008-App Competitors
        POST
    • 2. Application Data Analysis
      • 2001-Visibility History
      • 2002-App Competitors Info
      • 2003-Keywords Metrics
      • 2004-Keywords Explore
      • 2005-ASA Keywords
      • 2006-App CPP
      • 2007-App Tag
      • 2008-App Download/Revenue
      • 2009-Recommend Keywords
      • 2010-App UserActive
      • 2011-App Info
    • 3. Ranking Trend Analysis
      • 3001-Ranking Explore
      • 3002-Global Ranking
      • 3003-Volume Ranking
      • 3004-Download/Revenue Ranking
      • 3005-Active Ranking
      • 3006-App Release Info
      • 3007-Clear Keywords
      • 3008-Clear Ranking
    • 4. Ad Creative Analysis
      • 4001-Asa App
      • 4002-Ad ASA Keywords
      • 4003-ASA App Info
      • 4004-Cpp Ad
    • 5. ASA Real-Time Monitoring
      • 5001-ASA Task Initiation (Periodic)
      • 5001-ASA Task Query (Periodic)
      • 5001-ASA Task Results (Periodic)
    • 6. Other Services
      • 6001-App Search
      • 6002-Ai Push Keywords
      • 9001 - Paginated Query Interface
  • III. Data Dictionary and Definitions
    • 1. Application Classification Code
    • 2. Time and Location Information
    • 3. Regional Language Comparison Chart
    • 4. Explanation of Data Update Frequency
  • IV. Appendix
    • 1. Release Notes
    • 2. FAQ
    • 3. Contact and Support
  1. 1. Basic Application Services

1006-App Rating Comment

POST
/app/rating-comment
Retrieve app rating and review information (including: current rating, rating trends, review details, etc.)

Request

Authorization
Add parameter in header
x-openapi-key
Example:
x-openapi-key: ********************
Header Params

Body Params application/json

Example
{
    "store": "AS",
    "appId": "835599320",
    "region": "US",
    "metrics": [
        "REVIEWS"
    ],
    "start": "2025-05-05",
    "end": "2025-11-05"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.foxdata.com/apiv1/app/rating-comment' \
--header 'x-openapi-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "store": "AS",
    "appId": "835599320",
    "region": "US",
    "metrics": [
        "REVIEWS"
    ],
    "start": "2025-05-05",
    "end": "2025-11-05"
}'

Responses

🟢200成功
application/json
Body

Example
{
  "requestParam": {
    "store": "",
    "appId": "",
    "region": "",
    "type": "",
    "metrics": [
      ""
    ],
    "start": "",
    "end": "",
    "star": [
      0
    ],
    "reply": false,
    "deleted": false
  },
  "result": {
    "appId": "",
    "title": "",
    "icon": "",
    "rating": [
      {
        "date": "",
        "num": 0.0,
        "stars": [
          {
            "star": 0,
            "num": 0,
            "per": 0.0
          }
        ],
        "records": [
          {
            "star": 0,
            "num": 0
          }
        ]
      }
    ],
    "reviews": [
      {
        "title": "",
        "star": 0,
        "user": "",
        "content": "",
        "date": 0,
        "version": "",
        "deleted": false,
        "reply": {
          "content": "",
          "date": 0
        },
        "helpfulCount": 0
      }
    ]
  },
  "creditsCost": {
    "requestCredits": 0,
    "baseCredits": 0,
    "extraCredits": 0,
    "totalCostCredits": 0
  },
  "next": {
    "taskId": "",
    "pageKey": ""
  }
}
Modified at 2026-03-25 06:37:08
Previous
1005-Recommend Record
Next
1007-App Versions
Built with